import request from '@/utils/request'

// 查询产品信息列表
export function listProduction(query) {
  return request({
    url: '/pms/production/list',
    method: 'get',
    params: query
  })
}

// 查询产品信息详细
export function getProduction(code) {
  return request({
    url: '/pms/production/' + code,
    method: 'get'
  })
}

// 新增产品信息
export function addProduction(data) {
  return request({
    url: '/pms/production',
    method: 'post',
    data: data
  })
}

// 修改产品信息
export function updateProduction(data) {
  return request({
    url: '/pms/production',
    method: 'put',
    data: data
  })
}

// 删除产品信息
export function delProduction(code) {
  return request({
    url: '/pms/production/' + code,
    method: 'delete'
  })
}
